# CHANGELOG

## Version : 2.9.9



## Version : 2.9.8

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200701203240 : See merge request getto-systems-base/projects/psycher/slack!240
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!239

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200701201834 : See merge request getto-systems-base/projects/psycher/slack!238
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!237

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200608045838 : See merge request getto-systems-base/projects/psycher/slack!236
- fix: vulnerabilities : 2020-06-08T01:06:54,914234601 00:00 : See merge request getto-systems-base/projects/psycher/slack!234
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!235


## Version : 2.9.7

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200529062904 : See merge request getto-systems-base/projects/psycher/slack!232
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!231

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!230
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!229
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!228
- remove: unused file : See merge request getto-systems-base/projects/psycher/slack!227


## Version : 2.9.6

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!225
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200508063153 : See merge request getto-systems-base/projects/psycher/slack!224
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!223

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!222
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!221
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200508061212 : See merge request getto-systems-base/projects/psycher/slack!220
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!219
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!218

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!217
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200508050545 : See merge request getto-systems-base/projects/psycher/slack!216
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!215
- fix: message.sh : See merge request getto-systems-base/projects/psycher/slack!214
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!213
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!212

- fix: Dockerfile : See merge request getto-systems-base/projects/psycher/slack!211
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!210
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!209
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!208
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!207
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!206


## Version : 2.9.5

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200501160112 : See merge request getto-systems-base/projects/psycher/slack!204
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!203



## Version : 2.9.4



## Version : 2.9.3

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200501153018 : See merge request getto-systems-base/projects/psycher/slack!200
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!199
- upgrade: node 12 : See merge request getto-systems-base/projects/psycher/slack!198


## Version : 2.9.2

- fix: gitlab ci : See merge request getto-systems-base/projects/psycher/slack!196
- fix: docker-wrapper rc path : See merge request getto-systems-base/projects/psycher/slack!195


## Version : 2.9.1



## Version : 2.9.0

- fix: call uuid v4 : See merge request getto-systems-base/projects/psycher/slack!192



## Version : 2.8.0

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200430040838 : See merge request getto-systems-base/projects/psycher/slack!190
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!189

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200430031535 : See merge request getto-systems-base/projects/psycher/slack!188
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!187

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200427095630 : See merge request getto-systems-base/projects/psycher/slack!186
- fix: vulnerabilities : 2020-04-27T01:09:27,820845301 00:00 : See merge request getto-systems-base/projects/psycher/slack!185


## Version : 2.7.17

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200420222418 : See merge request getto-systems-base/projects/psycher/slack!183
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!182

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200420035136 : See merge request getto-systems-base/projects/psycher/slack!181
- fix: vulnerabilities : 2020-04-20T01:08:33,394304294 00:00 : See merge request getto-systems-base/projects/psycher/slack!180


## Version : 2.7.16

- fix: deploy.sh : See merge request getto-systems-base/projects/psycher/slack!178



## Version : 2.7.15

- fix: deploy.sh : See merge request getto-systems-base/projects/psycher/slack!176



## Version : 2.7.14

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200409035336 : See merge request getto-systems-base/projects/psycher/slack!174
- update: Dockerfile : See merge request getto-systems-base/projects/psycher/slack!173



## Version : 2.7.13

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200409023851 : See merge request getto-systems-base/projects/psycher/slack!171
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!170



## Version : 2.7.12

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200409020021 : See merge request getto-systems-base/projects/psycher/slack!167
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!166

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!165


## Version : 2.7.11

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200330121041 : See merge request getto-systems-base/projects/psycher/slack!161
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!160


## Version : 2.7.10

- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!157


## Version : 2.7.9

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200326134531 : See merge request getto-systems-base/projects/psycher/slack!155
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!154


## Version : 2.7.8

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200316114348 : See merge request getto-systems-base/projects/psycher/slack!152
- merge: dependabot : See merge request getto-systems-base/projects/psycher/slack!151


## Version : 2.7.7

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200307160149 : See merge request getto-systems-base/projects/psycher/slack!149
- merge: dependabot request : See merge request getto-systems-base/projects/psycher/slack!148


## Version : 2.7.6

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200302113616 : See merge request getto-systems-base/projects/psycher/slack!145
- update: uuid : See merge request getto-systems-base/projects/psycher/slack!144


## Version : 2.7.5

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200225051933 : See merge request getto-systems-base/projects/psycher/slack!142
- update: uuid : See merge request getto-systems-base/projects/psycher/slack!141


## Version : 2.7.4

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200127112644 : See merge request getto-systems-base/projects/psycher/slack!139
- fix: vulnerabilities : 2020-01-27T01:11:31,698374199 00:00 : See merge request getto-systems-base/projects/psycher/slack!137
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!138
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200120064057 : See merge request getto-systems-base/projects/psycher/slack!136
- fix: vulnerabilities : 2020-01-20T01:11:04,141615172 00:00 : See merge request getto-systems-base/projects/psycher/slack!135
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20200113074926 : See merge request getto-systems-base/projects/psycher/slack!134
- fix: vulnerabilities : 2020-01-13T01:10:02,850199117 00:00 : See merge request getto-systems-base/projects/psycher/slack!133
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20191223105914 : See merge request getto-systems-base/projects/psycher/slack!132
- fix: vulnerabilities : 2019-12-23T01:10:17,900735208 00:00 : See merge request getto-systems-base/projects/psycher/slack!131


## Version : 2.7.3

- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20191210132247 : See merge request getto-systems-base/projects/psycher/slack!128
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!127
- fix: image : getto/hangar:ptLsCSfwmiGWHZFO-20191210123234 : See merge request getto-systems-base/projects/psycher/slack!126
- fix: vulnerabilities : 2019-12-09T01:09:00,235885415 00:00 : See merge request getto-systems-base/projects/psycher/slack!125
- fix: docker-wrapper : See merge request getto-systems-base/projects/psycher/slack!124


## Version : 2.7.2

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!122
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!121
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!120
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!118
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!117


## Version : 2.7.1

- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!115
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!114
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!113
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!112
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!111
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!110
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!109


## Version : 2.7.0

- fix: repository location : See merge request getto-systems-base/projects/psycher/slack!108
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!107


## Version : 2.6.1



## Version : 2.6.0

- rename: message from replyer : See merge request getto-systems-base/projects/psycher/slack!106
- fix: dockerfile : See merge request getto-systems-base/projects/psycher/slack!105
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!103
- fix: vulnerabilities : See merge request getto-systems-base/projects/psycher/slack!102
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!101
- fix: gitlab-ci : See merge request getto-systems-base/projects/psycher/slack!100
- fix: dockerignore : See merge request getto-systems-base/projects/psycher/slack!99


## Version : 2.5.7

- fix: push_tags : See merge request getto-systems-base/projects/psycher/slack!98
- add: git-maint-repo : See merge request getto-systems-base/projects/psycher/slack!97
- add: trivy-opts : See merge request getto-systems-base/projects/psycher/slack!96


## Version : 2.5.6

- fix: gitlab-ci : See merge request getto-systems-base/psycher/slack!95
- fix: push_tags : See merge request getto-systems-base/psycher/slack!94
- fix: push_tags : See merge request getto-systems-base/psycher/slack!93
- fix: update npm : See merge request getto-psycher/slack!92


## Version : 2.5.5

- fix: push_tags : See merge request getto-systems-base/psycher/slack!93
- fix: update npm : See merge request getto-psycher/slack!92


## Version : 2.5.4

- fix: Dockerfile : See merge request getto-psycher/slack!91
- fix: Dockerfile : See merge request getto-psycher/slack!90
- fix: gitlab-ci : See merge request getto-psycher/slack!89


## Version : 2.5.3

- fix: gitlab-ci : See merge request getto-psycher/slack!88
- add: awscli : See merge request getto-psycher/slack!87
- fix: Dockerfile : See merge request getto-psycher/slack!86
- fix: gitlab-ci : See merge request getto-psycher/slack!85
- fix: gitlab-ci : See merge request getto-psycher/slack!84
- add: schedules : See merge request getto-psycher/slack!83
- fix: package name : See merge request getto-psycher/slack!82
- add: Dockerfile : See merge request getto-psycher/slack!81


## Version : 2.5.2

- fix: push_tags : See merge request getto-psycher/slack!80


## Version : 2.5.1

- update: dependencies : See merge request getto-psycher/slack!79

- build(deps): bump getto-slack_api from 1.0.2 to 1.0.3
- build(deps): bump getto-aws_secrets from 1.0.0 to 1.0.1
- build(deps): bump getto-memoize from 1.0.0 to 1.0.1
- build(deps): bump getto-gitlab_api from 1.0.1 to 1.0.2
- build(deps): bump uuid from 3.3.2 to 3.3.3
- build(deps-dev): bump jest from 24.8.0 to 24.9.0
- build(deps): bump getto-specification from 1.0.0 to 1.0.1
- build(deps): bump getto-aws_dynamodb from 1.3.0 to 1.3.2


## Version : 2.5.0

- fix: check body : See merge request getto-psycher/slack!78


## Version : 2.4.4

- fix: notify : See merge request getto-psycher/slack!77


## Version : 2.4.3

- fix: notify : See merge request getto-psycher/slack!76


## Version : 2.4.2

- fix: notify.sh : See merge request getto-psycher/slack!75


## Version : 2.4.1



## Version : 2.4.0

- fix: notify.sh : See merge request getto-psycher/slack!74


## Version : 2.3.0

- refactor: move slack_bot_event to ui : See merge request getto-psycher/slack!73


## Version : 2.2.1



## Version : 2.2.0

- refactor: conversation.condition : See merge request getto-psycher/slack!72


## Version : 2.1.2

- fix: CHANGELOG : See merge request getto-psycher/slack!71


## Version : 2.1.1

- update: getto-aws_dynamodb : See merge request getto-psycher/slack!70


## Version : 2.1.0

- fix: querying dynamodb : See merge request getto-psycher/slack!69


## Version : 2.0.0

- model arranged! : See merge request getto-psycher/slack!68


## Version : 1.23.0

- fix: test : See merge request getto-psycher/slack!67
- refactor: conversation : See merge request getto-psycher/slack!66


## Version : 1.22.2



## Version : 1.22.1

- fix: aws_dynamodb : See merge request getto-psycher/slack!65


## Version : 1.22.0

- fix: lock strategy : See merge request getto-psycher/slack!64


## Version : 1.21.2



## Version : 1.21.1



## Version : 1.21.0

- fix: await target response : See merge request getto-psycher/slack!63


## Version : 1.20.0

- fix: pipeline signature : See merge request getto-psycher/slack!62


## Version : 1.19.0

- fix: reference : See merge request getto-psycher/slack!61


## Version : 1.18.0

- fix: load modules : See merge request getto-psycher/slack!60


## Version : 1.17.0

- refactor: handler : See merge request getto-psycher/slack!59
- refactor: job : See merge request getto-psycher/slack!58
- refactor: reply : See merge request getto-psycher/slack!57
- refactor: progress : See merge request getto-psycher/slack!56


## Version : 1.16.1



## Version : 1.16.0

- fix: i18n : See merge request getto-psycher/slack!55


## Version : 1.15.0

- refactor: handlers : See merge request getto-psycher/slack!54


## Version : 1.14.1



## Version : 1.14.0

- fix: parse body : See merge request getto-psycher/slack!53


## Version : 1.13.0

- refactor: repository : See merge request getto-psycher/slack!52


## Version : 1.12.1



## Version : 1.12.0

- fix: init repository : See merge request getto-psycher/slack!51


## Version : 1.11.0

- refactor: state/action : See merge request getto-psycher/slack!50


## Version : 1.10.1



## Version : 1.10.0

- add: vendor dependencies : See merge request getto-psycher/slack!49
- fix: npm clean-install : See merge request getto-psycher/slack!48


## Version : 1.9.1



## Version : 1.9.0

- add: debug log : See merge request getto-psycher/slack!47


## Version : 1.8.0

- refactor: model names : See merge request getto-psycher/slack!46
- fix: releaseignore : See merge request getto-psycher/slack!45


## Version : 1.7.4

- fix: gitlab-ci : See merge request getto-psycher/slack!44


## Version : 1.7.3

- add: coverage : See merge request getto-psycher/slack!43


## Version : 1.7.2

- fix: test case : See merge request getto-psycher/slack!42


## Version : 1.7.1



## Version : 1.7.0

- fix: slack_bot_event : See merge request getto-psycher/slack!41


## Version : 1.6.1



## Version : 1.6.0

- refactor: actions : See merge request getto-psycher/slack!40


## Version : 1.5.1



## Version : 1.5.0

- fix: fetch package : See merge request getto-psycher/slack!39


## Version : 1.4.2



## Version : 1.4.1



## Version : 1.4.0

- fix: find gitlab token : See merge request getto-psycher/slack!38


## Version : 1.3.1

- fix: gitlab-ci : See merge request getto-psycher/slack!37


## Version : 1.3.0

- remove: release-targets : See merge request getto-psycher/slack!36


## Version : 1.2.0

- fix: random reply : See merge request getto-psycher/slack!35


## Version : 1.1.0

- add: outgoing info : See merge request getto-psycher/slack!34


## Version : 1.0.0

- production ready! : See merge request getto-psycher/slack!33


## Version : 0.8.1



## Version : 0.8.0

- fix: release handler : See merge request getto-psycher/slack!31
- fix: notify.sh : See merge request getto-psycher/slack!30


## Version : 0.7.3

- fix: notify.sh : See merge request getto-psycher/slack!29


## Version : 0.7.2

- fix: notify.sh : See merge request getto-psycher/slack!28


## Version : 0.7.1

- fix: notify.sh mode : See merge request getto-psycher/slack!27


## Version : 0.7.0

- fix: gitlab-ci : See merge request getto-psycher/slack!26


## Version : 0.6.0

- fix: form-data : See merge request getto-psycher/slack!25


## Version : 0.5.2



## Version : 0.5.1



## Version : 0.5.0

- fix: form-data : See merge request getto-psycher/slack!24


## Version : 0.4.1



## Version : 0.4.0

- fix: form-data : See merge request getto-psycher/slack!23


## Version : 0.3.1



## Version : 0.3.0

- fix: form-data : See merge request getto-psycher/slack!22


## Version : 0.2.0

- fix: find gitlab token : See merge request getto-psycher/slack!21
- fix: gitlab-ci : See merge request getto-psycher/slack!20


## Version : 0.1.11

- fix: handler test : See merge request getto-psycher/slack!19


## Version : 0.1.10



## Version : 0.1.9



## Version : 0.1.8



## Version : 0.1.7

- fix: lib : See merge request getto-psycher/slack!18


## Version : 0.1.6



## Version : 0.1.5

- fix: slack messenger : See merge request getto-psycher/slack!17


## Version : 0.1.4



## Version : 0.1.3

- fix: gitlab-ci : See merge request getto-psycher/slack!16


## Version : 0.1.2

- fix: gitlab-ci : See merge request getto-psycher/slack!15


## Version : 0.1.1

- fix: lib location : See merge request getto-psycher/slack!14


## Version : 0.1.0

- fix: version_dump : See merge request getto-psycher/slack!13
- fix: gitlab messenger : See merge request getto-psycher/slack!12


## Version : 0.0.8



## Version : 0.0.7

- fix: CodeUri : See merge request getto-psycher/slack!11


## Version : 0.0.6

- fix: handler : See merge request getto-psycher/slack!10
- fix: readme : See merge request getto-psycher/slack!9
- fix: readme : See merge request getto-psycher/slack!8
- add: handlers : See merge request getto-psycher/slack!7
- add: test runner : See merge request getto-psycher/slack!6


## Version : 0.0.5

- fix: CodeUri : See merge request getto-psycher/slack!5


## Version : 0.0.4



## Version : 0.0.3

- fix: prepare aws credentials : See merge request getto-psycher/slack!4


## Version : 0.0.2

- fix: github repository : See merge request getto-psycher/slack!3


## Version : 0.0.1

- fix: version_dump execution mode : See merge request getto-psycher/slack!2
- add: codes : See merge request getto-psycher/slack!1

